%define name krconlinux
%define version 0.2
%define release 2mdk

#%define __libtoolize true
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Summary: KDE tools to manage/query game servers
Group: Games/Other
URL: http://krconlinux.linuxgaming.net/

BuildRoot: %{_tmppath}/%{name}-root
Source: %{name}-%{version}.tar.bz2
Requires:  kdelibs >= 3.1
BuildRequires:  kdelibs-devel >= 3.1
BuildRequires: chrpath
BuildRequires: autoconf2.5


%description
KRconLinux is a KDE tool for querying, managing and browsing game servers 
like Half-Life mods (Counter Strike, Dod, etc.), Quake series, and more.
It features a console to send rcon commands, a server log receiver,
an (incomplete) IRC bot to monitor the games, and a chat console to interact 
with the players inside the game. It is capable of listing the available 
server maps and changing them, establishing server settings via configuration 
files, changing the current server password, updating and modifying the server 
ban list, kicking and banning players, and changing server variables.





#PREPARATION
%prep
%setup
sed -i 's/3\.2/3\.1/' src/mainwindowbase.ui



#BUILD
%build
export WANT_AUTOCONF_2_S_
%configure2_5x

%make

#INSTALL
%install
rm -rf %{buildroot}
%makeinstall
#configure doesn't understand -disable-rpath, so remove it by hand
chrpath -d %{buildroot}/%{_bindir}/%{name}
chrpath -d %{buildroot}/%{_bindir}/%{name}_client


install -m 755 -d %buildroot%{_menudir}
cat << EOF > %buildroot/%{_menudir}/%{name}
?package(%{name}):command="%{_bindir}/%{name}"\
needs="x11"\
section="More applications/Games/Other"\ 
title="Krconlinux"\
longtitle="Query/manage game servers (CS, ET, ...)"
EOF


#CLEAN
%clean
rm -rf %{buildroot}

#SCRIPT PREPOST
%post
%update_menus

%postun
%clean_menus





#PACKAGING
%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/%{name}
%{_bindir}/%{name}_client
%{_datadir}/applnk/Utilities/%{name}.desktop
%{_datadir}/apps/%{name}/%{name}ui.rc
%{_datadir}/apps/%{name}
%_menudir/%{name}
%{_iconsdir}/hicolor/16x16/apps/%{name}.png
%{_iconsdir}/hicolor/32x32/apps/%{name}.png
%{_iconsdir}/locolor/16x16/apps/%{name}.png
%{_iconsdir}/locolor/32x32/apps/%{name}.png
%{_docdir}/HTML/en/%{name}
%{_docdir}/HTML/en/%{name}/*



#CHANGELOG
%changelog
* Thu Feb 26 2004 Emmanuel Blindauer <manu@agat.net> 0.2-2mdk
- own some directories and files

* Tue Jan 20 2004 Blindauer Emmanuel <manu@agat.net> 0.2-1mdk
- new version

* Tue Dec 23 2003  Emmanuel Blindauer <manu (at) agat.net> 0.1-0.rc5.1mdk
  - First mdk release

* Tue Jun 14 2003  Sergio Rodriguez de Guzman <sguzman@inicia.es>
        - Removed the not needed "Quit" button.
        - Added the "Guess IP" button to auto detect the IP for getting logs
          (experimental).
        - Added a ping limiter for the filtering options of the server
          browser.
        - Improved the communications system using a higher level of
          abstraction. This solves the problems with the heavy use of rcon
          features. Now KRconLinux gets much more stability.

* Tue Jun 13 2003  Sergio Rodriguez de Guzman <sguzman@inicia.es>
        - Solved bug with "Hide" rcon password button. Now works properly.
          (Thanks to Arfman for the notice).
        - "Save" button reenabled to do its function.
        - Changed console font to Courier (monospace) to be more readable.
        - Suppressed the  annoying characters from the received console
          messages of Half-life servers.

